return {
  {
    -- stop snippets when you leave to normal mode
    -- https://github.com/L3MON4D3/LuaSnip/issues/258
    { "ModeChanged" },
    pattern = "*",
    callback = function()
      if require("astrocore").is_available "luasnip" then
        local luasnip = require "luasnip"
        if
          ((vim.v.event.old_mode == "s" and vim.v.event.new_mode == "n") or vim.v.event.old_mode == "i")
          and luasnip.session.current_nodes[vim.api.nvim_get_current_buf()]
          and not luasnip.session.jump_active
        then
          luasnip.unlink_current()
        end
      end
    end,
  },
  {
    { "TermOpen" },
    pattern = "*",
    command = "setlocal nonumber norelativenumber",
  },
  {
    { "InsertEnter" },
    pattern = "*",
    command = "set norelativenumber",
  },
  {
    { "InsertLeave" },
    pattern = "*",
    command = "set relativenumber",
  },
  {
    { "FileType" },
    pattern = { "markdown", "tex" },
    command = "set tw=80",
  },
  {
    { "CursorHold", "CursorHoldI" },
    pattern = "*",
    command = "checktime",
  },
}
