---@type LazySpec
return {
  {
    "fedepujol/move.nvim",
    lazy = false,
    config = function()
      require("move").setup {
        line = {
          enable = true,
          indent = true,
        },
        block = {
          enable = true,
          indent = true,
        },
        word = {
          enable = true,
        },
        char = {
          enable = true,
        },
      }
      local opts = { noremap = true, silent = true }
      -- Normal-mode commands
      vim.keymap.set("n", "<A-j>", ":MoveLine(1)<CR>", opts)
      vim.keymap.set("n", "<A-k>", ":MoveLine(-1)<CR>", opts)
      -- Visual-mode commands
      vim.keymap.set("v", "<A-j>", ":MoveBlock(1)<CR>", opts)
      vim.keymap.set("v", "<A-k>", ":MoveBlock(-1)<CR>", opts)
      vim.keymap.set("v", "<A-h>", ":MoveHBlock(-1)<CR>", opts)
      vim.keymap.set("v", "<A-l>", ":MoveHBlock(1)<CR>", opts)
    end,
  },
}
