return {
  { "Grafcube/bf-vim" },
  { "samirettali/shebang.nvim",       lazy = false },
  { "rhysd/reply.vim",                lazy = false },
  { "pgdouyon/vim-evanesco",          lazy = false },
  { "ntpeters/vim-better-whitespace", lazy = false },
  { "jghauser/mkdir.nvim",            lazy = false },
  { "fidian/hexmode",                 cmd = "Hexmode" },
  { "Lommix/godot.nvim",              ft = { "gdscript", "gdresource", "gdshader" } },
  { "folke/persistence.nvim" },
  {
    "max397574/better-escape.nvim",
    opts = {
      mapping = { "jk", "kj", "JK", "KJ" },
      clear_empty_lines = true,
    }
  },
  {
    "alpertuna/vim-header",
    cmd = {
      "AddHeader",
      "AddMinHeader",
      "AddMITLicense",
      "AddApacheLicense",
      "AddGNULicense",
      "AddAGPLicense",
      "AddLGPLLicense",
      "AddMPLLicense",
      "AddWTFPLLicense",
      "AddZlibLicense",
    }
  },
  {
    "rmagatti/auto-session",
    lazy = false,
    opts = {
      auto_session_root_dir = vim.fn.stdpath('state') .. "/sessions/",
      auto_session_suppress_dirs = { "~/", "~/projects", "~/Downloads", "~/Documents", "/" },
      cwd_change_handling = {
        restore_upcoming_session = false,
      }
    }
  },
  {
    "NvChad/nvim-colorizer.lua",
    lazy = false,
    opts = function(_, _)
      local wt = {
        names = true,                                    -- "Name" codes like Blue or blue
        rgb_fn = true,                                   -- CSS rgb() and rgba() functions
        hsl_fn = true,                                   -- CSS hsl() and hsla() functions
        css = true,                                      -- Enable all CSS features: rgb_fn, hsl_fn, names, RGB, RRGGBB
        css_fn = true,                                   -- Enable all CSS *functions*: rgb_fn, hsl_fn
        mode = "background",                             -- Set the display mode.
        tailwind = "lsp",                                -- Enable tailwind colors
        sass = { enable = false, parsers = { "css" }, }, -- Enable sass colors
      }
      return {
        user_default_options = {
          RGB = true,          -- #RGB hex codes
          RRGGBB = true,       -- #RRGGBB hex codes
          names = false,       -- "Name" codes like Blue or blue
          RRGGBBAA = true,     -- #RRGGBBAA hex codes
          AARRGGBB = true,     -- 0xAARRGGBB hex codes
          rgb_fn = false,      -- CSS rgb() and rgba() functions
          hsl_fn = false,      -- CSS hsl() and hsla() functions
          css = false,         -- Enable all CSS features: rgb_fn, hsl_fn, names, RGB, RRGGBB
          css_fn = false,      -- Enable all CSS *functions*: rgb_fn, hsl_fn
          mode = "background", -- Set the display mode.
          tailwind = false,    -- Enable tailwind colors
        },
        filetypes = {
          html = wt,
          css = wt,
          sass = wt,
          scss = wt,
          svelte = wt,
          rust = wt,
        },
      }
    end,
  },
  {
    "kosayoda/nvim-lightbulb",
    lazy = false,
    opts = function()
      local text = ""
      return {
        autocmd = {
          enabled = true
        },
        hide_in_unfocused_buffer = true,
        sign = {
          enabled = true,
          text = text,
          hl = "LightBulbSign",
        },
        virtual_text = {
          enabled = false,
          text = text,
          pos = "eol",
          hl = "LightBulbVirtualText",
          hl_mode = "combine",
        },
        float = {
          enabled = false,
          text = text,
          hl = "LightBulbFloatWin",
          win_opts = {
              focusable = false,
          },
        },
        status_text = {
          enabled = false,
          text = text,
          text_unavailable = "",
        },
      }
    end,
  },
}
